Subject: Re: on the wire behaviour of TSO on/off is supposed to be the same yes?

From: "David S. Miller" <[email-masked]>
Date: Mon, 24 Jan 2005 12:43:53 -0800

On Mon, 24 Jan 2005 12:33:23 -0800
Rick Jones <[email-masked]> wrote:

> It would seem that the segmentation code, if it knew ssthresh as well as cwnd 
> _could_ make some reasonably optimistic guesses as to cwnd growth while doing 
> its segmentation.

Becuase we disable TSO on any packet loss whatsoever, we can predict
exactly what the CWND will be at the time a packet is sent.

I've been quiet the past few days, but this is the kind of implementation
I've been thinking of.

When we take away that invariant, which we do want to do, we'll need
to tweak how this works.